Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
osmium::thread::Pool::thread_joiner Class Reference

## Public Member Functions
| thread_joiner (std::vector< std::thread > &threads)
| thread_joiner (const thread_joiner &)=delete
thread_joiner & | operator= (const thread_joiner &)=delete
| thread_joiner (thread_joiner &&)=delete
thread_joiner & | operator= (thread_joiner &&)=delete
| ~thread_joiner ()

## Private Attributes
std::vector< std::thread > & | m_threads

## Detailed Description

This class makes sure all pool threads will be joined when the pool is destructed.

## Constructor & Destructor Documentation

## ◆ thread_joiner() [1/3]

osmium::thread::Pool::thread_joiner::thread_joiner | ( | std::vector< std::thread > & | threads | ) |
| inline explicit

## ◆ thread_joiner() [2/3]

osmium::thread::Pool::thread_joiner::thread_joiner | ( | const thread_joiner & |  | ) |
| delete

## ◆ thread_joiner() [3/3]

osmium::thread::Pool::thread_joiner::thread_joiner | ( | thread_joiner && |  | ) |
| delete

## ◆ ~thread_joiner()

osmium::thread::Pool::thread_joiner::~thread_joiner | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator=() [1/2]

thread_joiner & osmium::thread::Pool::thread_joiner::operator= | ( | const thread_joiner & |  | ) |
| delete

## ◆ operator=() [2/2]

thread_joiner & osmium::thread::Pool::thread_joiner::operator= | ( | thread_joiner && |  | ) |
| delete

## Member Data Documentation

## ◆ m_threads

std::vector<std::thread>& osmium::thread::Pool::thread_joiner::m_threads
| private

The documentation for this class was generated from the following file:

- include/osmium/thread/pool.hpp